Name: cockpit-msvsphere-security-audit
Version: 1.0.0
Release: 1%{?dist}
Summary: Cockpit MSVSphere plugin to setup aide
License: LGPL-2.1-or-later

Source0: https://git.inferitos.ru/internal/%{name}/archive/%{name}-%{version}.tar.xz
Source1: https://git.inferitos.ru/internal/%{name}/archive/%{version}/%{name}-node-%{version}.tar.xz

BuildArch: noarch
%if ! 0%{?suse_version}
ExclusiveArch: %{nodejs_arches} noarch
%endif
BuildRequires: nodejs >= 18
BuildRequires: make
BuildRequires: libappstream-glib
BuildRequires: gettext
BuildRequires: libappstream-glib-devel

Requires: cockpit-bridge
Requires: cockpit-msvsphere-base
Requires: pciutils
Requires: usbutils
Requires: golang

Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(focus-trap)) = 7.6.4
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.14
Provides: bundled(npm(@patternfly/react-core)) = 6.2.2
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-icons)) = 6.2.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-styles)) = 6.2.2
Provides: bundled(npm(@patternfly/react-table)) = 6.2.2
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(@patternfly/react-tokens)) = 6.2.2
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.8
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(tslib)) = 2.8.1

%description
Cockpit MSVSphere security-audit plugin

%prep
%autosetup -n %{name} -a1
rm -rf dist

%build
NODE_ENV=production make

%install
%make_install PREFIX=/usr
install -D -m 0755 aide-parser %{buildroot}%{_bindir}/aide-parser
install -D -m 0755 src_bash/aide_run.sh %{buildroot}%{_bindir}/aide_run.sh
install -D -m 0755 src_bash/rpm_run.sh %{buildroot}%{_bindir}/rpm_run.sh

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%files
%license LICENSE dist/aide.js.LEGAL.txt
%{_datadir}/cockpit/*
%{_bindir}/aide-parser
%{_bindir}/aide_run.sh
%{_bindir}/rpm_run.sh

%changelog
* Tue May 20 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-1
- Rebuilt for MSVSphere 9.5

* Tue May 20 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-1
- Initial build for MSVSphere
